Bug 91616 - Driver patch for vfs0050 validity sensors
Summary: Driver patch for vfs0050 validity sensors
Status: RESOLVED FIXED
Alias: None
Product: libfprint
Classification: Unclassified
Component: libfprint (show other bugs)
Version: unspecified
Hardware: All All
: medium enhancement
Assignee: libfprint-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-12 13:22 UTC by Matthew Schultz
Modified: 2016-11-07 16:24 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Schultz 2015-08-12 13:22:13 UTC
Please add support for vfs0050 validity sensors.  The full patch to 0.6.0 to add support for this sensor can be found here:

http://dev.gentoo.org/~xmw/${P}_vfs0050.patch.gz (originating from this bug: https://bugs.gentoo.org/show_bug.cgi?id=531698)

The origin of the patch code was obtained from:

https://github.com/zemen/libfprint

git diff bb66780cb58daf33d55524a9b434e218a991507c 62bb0228d655a80a3d39a2e1acf596ae166a5d7b

I have this particular sensor and have verified that the patch does work.
Comment 1 Vasily Khoruzhick 2015-09-30 00:58:39 UTC
Review is done in github. Waiting for author to address the issues.
Comment 2 Edgar 2016-11-07 14:29:08 UTC
The review seemed to be done (https://lists.freedesktop.org/archives/fprint/2015-September/000718.html). A squashed commit (https://github.com/zemen/libfprint/commit/30b5f930bd92d919f831314adb9e22f685af6ec8) 
and an additional update (https://github.com/zemen/libfprint/commit/95473fc666fffe9e710df5ea157f6439fa8a7c9)
have been provided. 

The commit https://github.com/anarsoul/libfprint/commit/211e056c5fc031a17850ad16c676f8558f006ce1 based on these updates.

I created test versions based on the master branch (https://cgit.freedesktop.org/libfprint/libfprint) for both variants of the vfs0050 support and did some testing on my notebook (Fujitsu LIFEBOOK E556) without problems.

Do you know any open issues which might block the integration of the vfc0050 support any longer?
Comment 3 Vasily Khoruzhick 2016-11-07 16:24:22 UTC
Merged.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.